/* filter.h
 * S.Coffin	GV Computing   4/93
 *
 * process I/O stream between user and igs
 */

/*  Copyright (c) 1992,1993,1994,1995 by Stephen Coffin.  All rights reserved.
 *
 *  This program is distributed in the hope that it will be useful.
 *  Use and copying of this software and preparation of derivative works
 *  based upon this software are permitted, so long as the following
 *  conditions are met:
 *       o credit to the authors is acknowledged following current
 *         academic behavior
 *       o no fees or compensation are charged for use, copies, or
 *         access to this software
 *	 o no fees or compensation are charged for access to the
 *	   game server for which this software is a client
 *       o this copyright notice is included intact.
 *  This software is made available AS IS, and no warranty is made about 
 *  the software or its performance. 
 * 
 *  Bug descriptions, use reports, comments or suggestions are welcome.
 *  Send them to    scoffin@netcom.com
 */

#include <stdio.h>
#include <fcntl.h>
#include <ctype.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/param.h>
#include <sys/socket.h>
#include <sys/time.h>
/*SC
#include <netinet/in.h>
#include <netdb.h>
SC*/
#include <errno.h>
#include <signal.h>
#include <string.h>
#include "patchlevel.h"

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif
#define RETURN 2

#define COMMAND1 2
#define COMMAND2 3

#define BLACK 1
#define WHITE 2
#define EMPTY 0

#define TIMEOUT 10
#define LINESIZE	2048

#define MAXMOVE	400

extern void exit();
extern unsigned sleep();
extern int errno;
extern int dbg;

#define TEXT	1
#define SGF	2

#define REALMOVE   1
#define STEPMOVE   2
#define DELETEMOVE 3

/* these are the game types (rule sets) supported by IGS */
#define IRULES 'I'	/* normal IGS rules */
#define GRULES 'G'	/* Ing Rules */
#define PRULES 'P'	/* pro tournament rules; Ing move rules, IGS timing */
#define SRULES 'S'	/* Shogi (not supported by xigc) */
#define CCRULES 'C'	/* Chinese Chess (not supported by xigc */
